/*
 * $Id$
 */
package simulation;

import Jare.JareEnv;

/**
 * @author Kai Sterker
 *
 */
public class Aktion {

	private String aktion;
	
	/**
	 * @param solution
	 */
	public Aktion(JareEnv solution) {
		aktion = (String) solution.lookup ("?a");
	}

	/**
	 * @param string
	 */
	public Aktion(String string) {
		aktion = string;
	}

	/**
	 * @param zeit
	 * @return
	 */
	public String toAusdruck(int zeit) {
		return "(action " + aktion + " " + zeit + ")";
	}

	/**
	 * @return
	 */
	public String getAktion () {
		return aktion;
	}

}
